io.undertow.security.api

## Class SecurityNotification

- java.lang.Object
- - io.undertow.security.api.SecurityNotification

    public class SecurityNotification
    extends Object

Notification representing a security event such as a successful or failed authentication.

Author:
  Darran Lofthouse

### Nested Class Summary

Nested Classes
`static class` `SecurityNotification.EventType`

### Constructor Summary

Constructors
Constructor and Description
`SecurityNotification(HttpServerExchange exchange, SecurityNotification.EventType eventType, Account account, String mechanism, boolean programatic, String message, boolean cachingRequired)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Account` `getAccount()`
`SecurityNotification.EventType` `getEventType()`
`HttpServerExchange` `getExchange()`
`String` `getMechanism()`
`String` `getMessage()`
`boolean` `isCachingRequired()`
`boolean` `isProgramatic()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecurityNotification

    public SecurityNotification(HttpServerExchange exchange,
                                SecurityNotification.EventType eventType,
                                Account account,
                                String mechanism,
                                boolean programatic,
                                String message,
                                boolean cachingRequired)

### Method Detail

#### getExchange

    public HttpServerExchange getExchange()

#### getEventType

    public SecurityNotification.EventType getEventType()

#### getAccount

    public Account getAccount()

#### getMechanism

    public String getMechanism()

#### isProgramatic

    public boolean isProgramatic()

#### getMessage

    public String getMessage()

#### isCachingRequired

    public boolean isCachingRequired()